Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update variant group channel statuses

Bulk-sets the per-channel publishing status of variant groups.

PATCH/api/v2/{team_slug}/{app_slug}/products/variant-groups/channels/status
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Request body
requiredapplication/json
variant_groupsPatchChannelVariantGroupStatusItem[]required
min items 1 · max items 20
Show properties
Array of PatchChannelVariantGroupStatusItem
channel_idUUIDrequired
variant_group_idUUIDrequired
statusstringrequired
Responses
200

OK (partial success possible)

dataChannelVariantGroupStatus[]required
Show properties
Array of ChannelVariantGroupStatus
channel_idUUIDrequired
variant_group_idUUIDrequired
statusstringrequired
errorsChannelVariantGroupStatusError[]required
Show properties
Array of ChannelVariantGroupStatusError
channel_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
variant_group_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v2/string/string/products/variant-groups/channels/status' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "variant_groups": [
    {
      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
      "variant_group_id": "165b9130-4dfe-4a17-99a4-9e5031dcac26",
      "status": "string"
    }
  ]
}'
Response
{
  "data": [
    {
      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
      "variant_group_id": "165b9130-4dfe-4a17-99a4-9e5031dcac26",
      "status": "string"
    }
  ],
  "errors": [
    {
      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
      "variant_group_id": "165b9130-4dfe-4a17-99a4-9e5031dcac26",
      "message": "string"
    }
  ]
}